Data
Data is used to fetch structured data from specific sites or page types.
Access predefined data APIs for specific targets
Retrieve target data through specialized interfaces
Use the unified
/dataentry for different dedicated crawlersReview parameter details and response fields for each API
To see the available APIs, go to Supported Data APIs
If you already know which API you need, open it from the left sidebar
Entry Point
Data uses the /data endpoint.
Usage
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY'\
-H 'Content-Type: application/json' \
-d '{
"engine": "amazon_bestseller",
"location": "US",
"category_list": ["111111"],
"start_page": 1,
"pages": 1
}'Response Example
{
"result": [
{
"content": {
"url": "https://www.amazon.com/Best-Sellers/zgbs/x/1077068/?pg=1",
"page": 1,
"pages": 2,
"results": [
{
"pos": 1,
"asin": "B098WVKF19",
"price_str": "US$129.99",
"title": "REDTIGER Dash Cam Front Rear, 4K / 2.5K Full HD Dash Camera...",
"rating": 4.5,
"ratings_count": 100
},
{
"_note": "More results omitted"
}
]
}
}
]
}Notes
- The
enginefield selects the specific data API - Required parameters and response fields vary by API
- Open an API page to see its parameter details and response fields
